<?xml version="1.0" encoding="utf-8"?>
<android.support.design.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="shadattonmoy.sustnavigator.admin.view.AdminFragment">

    <android.support.design.widget.AppBarLayout
        android:id="@+id/appbar_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar"
        android:fitsSystemWindows="true">

        <android.support.design.widget.CollapsingToolbarLayout
            android:id="@+id/collapsing_toolbar_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_scrollFlags="scroll|exitUntilCollapsed"
            app:contentScrim="?android:attr/colorPrimary"
            app:expandedTitleTextAppearance="@android:color/transparent"
            android:fitsSystemWindows="true">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:fitsSystemWindows="true">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="226dp"
                    android:src="@drawable/animated_vacation_bg"
                    android:scaleType="centerCrop"/>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="226dp"
                    android:orientation="vertical"
                    android:background="@drawable/black_rectangle">

                    <TextView
                        android:id="@+id/add_holiday_header"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text=""
                        android:textAlignment="center"
                        android:layout_gravity="center"
                        android:textColor="@color/textWhite"
                        android:padding="10dp"
                        android:textSize="16sp"
                        android:layout_centerInParent="true"/>
                    <android.support.v7.widget.CardView
                        android:id="@+id/login_error_msg"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:elevation="5dp"
                        android:visibility="gone"
                        app:cardBackgroundColor="#F44336">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:padding="10dp"
                            android:text="Email and/or Password is not correct"
                            android:textAlignment="center"
                            android:textColor="#ffffff"
                            android:textStyle="bold" />

                    </android.support.v7.widget.CardView>
                </RelativeLayout>
            </RelativeLayout>

            <android.support.v7.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="?android:attr/actionBarSize"
                app:popupTheme="@style/ThemeOverlay.AppCompat.Light"
                android:title="@string/app_name"
                app:layout_collapseMode="pin" />
        </android.support.design.widget.CollapsingToolbarLayout>
    </android.support.design.widget.AppBarLayout>

    <ScrollView
        android:id="@+id/scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="150dp">

        <android.support.constraint.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="8dp">

            <android.support.v7.widget.CardView
                android:id="@+id/field_card"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="16dp"
                android:layout_marginBottom="8dp"
                android:paddingBottom="16dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent">

                <android.support.constraint.ConstraintLayout
                    android:id="@+id/field_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp">

                    <android.support.design.widget.TextInputLayout
                        android:id="@+id/name_layout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="8dp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <EditText
                            android:id="@+id/holiday_add_title"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:layout_marginTop="8dp"
                            android:layout_marginEnd="8dp"
                            android:background="@drawable/edit_text_bg"
                            android:drawableLeft="@drawable/edit_black"
                            android:drawablePadding="8dp"
                            android:ems="10"
                            android:hint="Holiday Title"
                            android:inputType="textAutoComplete" />

                    </android.support.design.widget.TextInputLayout>

                    <View
                        android:id="@+id/teacher_name_divider"
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginStart="8dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginEnd="8dp"
                        android:background="?android:attr/listDivider"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/name_layout" />


                    <android.support.design.widget.TextInputLayout
                        android:id="@+id/room_no_layout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="8dp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/teacher_name_divider">

                        <TextView
                            android:id="@+id/holiday_add_start_from"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:layout_marginTop="8dp"
                            android:layout_marginEnd="8dp"
                            android:background="@drawable/edit_text_bg"
                            android:drawableLeft="@drawable/date_range_black_24"
                            android:drawablePadding="8dp"
                            android:ems="10"
                            android:hint="Start From" />

                    </android.support.design.widget.TextInputLayout>

                    <View
                        android:id="@+id/teacher_room_divider"
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginStart="8dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginEnd="8dp"
                        android:background="?android:attr/listDivider"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/room_no_layout" />


                    <android.support.design.widget.TextInputLayout
                        android:id="@+id/email_layout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="8dp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/teacher_room_divider">

                        <TextView
                            android:id="@+id/holiday_add_end_at"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:layout_marginTop="8dp"
                            android:layout_marginEnd="8dp"
                            android:background="@drawable/edit_text_bg"
                            android:drawableLeft="@drawable/date_range_black_24"
                            android:drawablePadding="8dp"
                            android:ems="10"
                            android:hint="Ends At" />

                    </android.support.design.widget.TextInputLayout>

                    <View
                        android:id="@+id/teacher_email_divider"
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginStart="8dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginEnd="8dp"
                        android:background="?android:attr/listDivider"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/email_layout" />

                    <Button
                        android:id="@+id/holiday_add_submit"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="8dp"
                        android:layout_marginStart="8dp"
                        android:layout_marginEnd="8dp"
                        android:backgroundTint="@color/colorPrimaryDark"
                        android:padding="20dp"
                        android:text="Submit"
                        android:textColor="@color/textWhite"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/teacher_email_divider" />

                    <TextView
                        android:id="@+id/reset_all_field_button"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="8dp"
                        android:layout_marginLeft="8dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginEnd="8dp"
                        android:layout_marginRight="8dp"
                        android:layout_marginBottom="8dp"
                        android:padding="16dp"
                        android:text="Reset All Field"
                        android:textAlignment="center"
                        android:textColor="@color/textRed"
                        android:textSize="16sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/holiday_add_submit" />


                </android.support.constraint.ConstraintLayout>
            </android.support.v7.widget.CardView>
        </android.support.constraint.ConstraintLayout>
    </ScrollView>
</android.support.design.widget.CoordinatorLayout>
